/*
 * This is a manifest file that'll be compiled into application.css, which will include all the files
 * listed below.
 *
 * Any CSS and SCSS file within this directory, lib/assets/stylesheets, or any plugin's
 * vendor/assets/stylesheets directory can be referenced here using a relative path.
 *
 * You're free to add application-wide styles to this file and they'll appear at the bottom of the
 * compiled file so the styles you add here take precedence over styles defined in any other CSS/SCSS
 * files in this directory. Styles in this file should be added after the last require_* statement.
 * It is generally better to create a new file per style scope.
 *
 *= require_tree .
 *= require_self
 */


 $body-bg: white;
 //@import 'bootstrap-sprockets';
 @import "bootstrap";
 @import "**/*";



 * {
    margin: 0;
    padding: 0;
    list-style: none;
}

 body {
    background-color: white;
    font-family: "Montserrat";
    margin:0 auto;
    padding:0px;
    border: 0px;
 }

 table {
    margin: 5px;
    padding: 0;
    width: 100%;
    border-collapse: collapse;
    border: 0px;
    text-align: left;
}

table td {
    border: 0px;
    margin: 5px;
    padding: 5px;
}

 .locale-flag {
    border: 1px solid #ddd;
    border-radius: 4px;
    padding: 10px;
    width: 64px;
 }

 .field_with_errors {
     color: red;
 }

 .notice {
     color: green;
     font-style: italic;
 }

 .alert {
     color: orange;
     font-style: italic;
 }

 .tab-1{
	display:inline-block; width:ONE-TAB-WIDTH;
}
.tab-2{
	display:inline-block; width:TWO-TAB-WIDTH;
}
.tab-cell{
    display:inline-block; width:TWO-TAB-WIDTH;
    font-size: larger;
}

.conge_ok {
    background-color: rgb(113, 189, 0);
    color: white;
}
.conge_ok_ann {
    background-color: rgba(128, 0, 128, 0.494);
    color: yellow;
}
.conge_ok_demi {
    //background: linear-gradient(to bottom left, rgb(113, 189, 0), rgb(113, 189, 0) 1px, white 30%, white);
    background: linear-gradient(to bottom left, rgb(113, 189, 0) 50%, white 50%);
}
.conge_ok_ann_demi {
    background: linear-gradient(to bottom left, rgba(128, 0, 128, 0.494) 50%, white 50%);
}

.conge_wait {
    background-color: rgb(198, 255, 123);
    color: green;
}
.conge_wait_ann {
    background-color: pink;
    color: green;
}
.conge_wait_demi {
    //background: linear-gradient(to bottom left, rgb(198, 255, 123), rgb(198, 255, 123) 15px, white 30%, white);
    background: linear-gradient(to bottom left, rgb(198, 255, 123) 50%, white 50%);
}
.conge_wait_ann_demi {
    background: linear-gradient(to bottom left, pink 50%, white 50%);
}

.conge_accord_ok {
    background-color: greenyellow;
    color: green;
}
.conge_accord_wait {
    background-color: red;
   color: white;
}

.hebdo {
    background-color:orange;
    color: blue;
}

.ferie {
    background-color:grey;
    color: white;
}
.weekend {
    background-color: lightgrey;
    color: white;
    width: 30px;
    min-width: 30px;
    max-width: 30px;
    margin: 0;
    padding: 0px;

}

.center {
    display: flex;
    align-items: center;
}

.absence {
    background-color: rgb(255,183,77);
    color: white;
}

.keep_attention {
    background-color:red;
    color: white;
}

.already_a_job {
    color: gray;
}

.cacher { visibility: hidden; display: none; }
.afficher { visibility: visible; }

.flex-container {
    display: flex;
    flex-direction: row;
    background-color: DodgerBlue;
}
  
.flex-container > div {
    background-color: #f1f1f1;
    width: 100px;
    margin: 10px;
    text-align: center;
    //line-height: 75px;
    //font-size: 30px;
}

.flex-menu-day {
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-end;
    align-content: center;
    align-items: baseline;
}
.flex-menu-day > div {
    margin: 10px;
    text-align: center;
}

.flex-ajout {
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-start;
    align-content: center;
    align-items: baseline;
}
.flex-ajout > div {
    margin: 10px;
    width: 200px;
    text-align: start;
}



.today {
    background-color: lightyellow;
    color: darkblue;
    font-weight: bold;
}


.home-postit {
    height: 8em;
    overflow-y: auto;
    scrollbar-width: thin;
    scrollbar-color: orange;
}